import { ENUM_RUN_STATE, ERRO, RoomConfig, User } from '../zego.entity';
import { SocketCenter } from './socketCenter';
import { StateCenter } from './stateCenter';
import { Logger } from '../zego.logger';
export declare class RoomHandler {
    private socketCenter;
    private logger;
    private stateCenter;
    constructor(logger: Logger, stateCenter: StateCenter, socketCenter: SocketCenter);
    setRunState(newRunState: ENUM_RUN_STATE): void;
    private resetTryLogin;
    private resetBigRoomInfo;
    resetRoom(roomid?: string): void;
    resetRoomCallBack(): void;
    onDisconnect(err: ERRO): void;
    onConnecting(err: ERRO): void;
    loginSuccessCallBack(lastRunState: number, msg: any): void;
    fetchReliableMessage(trans_channel: string, trans_seq_array: any): void;
    login(server: string, roomid: string, token: string, user: User, config: RoomConfig | undefined, success: (success: boolean) => void, error: (err: ERRO) => void): void;
    loginBodyData(): void;
    private tryLogin;
    private handleLoginRsp;
    private handleLoginFail;
    private handleLoginSuccess;
    private openHandler;
    private closeHandler;
    logout(roomID: string): void;
    fetchUserList(lastRunState?: number): void;
    private fetchUserListWithPageV2;
    private fetchUserListWithPage;
    private handleFetchUserListRspV2;
    private handleFetchUserListRsp;
    private handleLogoutRsp;
    handlePushUserStateUpdateMsg(msg: {
        body: {
            user_actions: any;
            user_list_seq: number;
            room_id: string;
        };
    }): void;
    onUserStateUpdate(roomId: string, updateType: 'DELETE' | 'ADD', userList: Array<{
        userID: string;
        userName: string;
    }>): void;
    roomStateHandle(state: 'DISCONNECTED' | 'CONNECTING' | 'CONNECTED', error: ERRO): void;
    private mergeUserByUserSeq;
    private mergeUser;
}
